Bug 219066 - fc-match returning bad results with non-existing styles
Summary: fc-match returning bad results with non-existing styles
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-10 10:00 UTC by Roozbeh Pournader
Modified: 2008-02-19 23:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 12:19:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roozbeh Pournader 2006-12-10 10:00:23 UTC
Description of problem:
When I run the following command, I get DejaVu Bold as the answer, while I
should get DejaVu Regular/Book:

$ fc-match "DejaVu LGC Sans:style=Italic"

Version-Release number of selected component (if applicable):
fontconfig-2.4.1-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. Make sure DejaVu LGC fonts are installed
2. Run $ fc-match "DejaVu LGC Sans:style=Italic"
  
Actual results:
DejaVuLGCSans-Bold.ttf: "DejaVu LGC Sans" "Bold"

Expected results:
DejaVuLGCSans.ttf: "DejaVu LGC Sans" "Book"

Additional info:
Same happens on Rawhide with fontconfig-2.4.2-1.fc7. This may also have
something to do with this Debian bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=370750

Comment 1 Roozbeh Pournader 2006-12-10 12:46:07 UTC
Apparently this is not DejaVu only and also happens with Utopia (from package
xorg-x11-fonts-Type1-7.1-2).

$ fc-match "Utopia:style=Oblique"

gives me:

UTBI____.pfa: "Utopia" "Bold Italic"

While it should either give me Regular or Italic.


Comment 2 Behdad Esfahbod 2006-12-12 20:48:50 UTC
Ok, this is apparently an upstream bug now that it happens with all fonts.

https://bugs.freedesktop.org/show_bug.cgi?id=9313


Note You need to log in before you can comment on or make changes to this bug.